<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");
function xExportar($varForm) {
	$varEmp = ($varForm["emp"]<>"Ninguno")?$varForm["emp"]:"NULL";
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')? $varForm["cod"]:"NULL";
	$varNom = $varForm["nam"];
	$varEst = ($varForm["est"]<>"Ninguno")?"'".$varForm["est"]."'":"NULL";
	$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
	
	$sql = "call spQuery_Bonificacion($varEmp, $varCod,'$varNom', $varEst, $varUsr, $varFie, $varOrd)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}

	
function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsBonificacionReporte($var[0],$var[1],$var[2],$var[3],$var[4]);	
	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar);
	return $respuestaXajax;
	}


$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'comboSeleccion');

$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("emp").value=="" || xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("emp").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);
			}
		}
	function xExportarJS() {
		if (xajax.$("emp").value=="" || xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("emp").focus();
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));	
			}
		}
	
	function xImprimirJS() {
		if (xajax.$("emp").value=="" || xajax.$("emp").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA");  
			xajax.$("emp").focus();
			return (false); 
			}
		else {
			var varEmp = xajax.$("emp").value;
			var varEst = xajax.$("est").value;
			var Ruta = 'print/print_bonificacion_reporte.php?emp='+varEmp+'&est='+varEst;
			testwindow= window.open (Ruta, "print_bonificacion_reporte", "location=no,status=no,toolbar=no,scrollbars=1,width=750,height=600");
			}
		}
</script>
<?php
function MyTable($obj, $Titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();	
	echo "</div>";
	echo "</div>";	
	} 
?>